Index: trunk/SRC/Grid/computegrid.pro
===================================================================
--- trunk/SRC/Grid/computegrid.pro	(revision 114)
+++ trunk/SRC/Grid/computegrid.pro	(revision 118)
@@ -11,39 +11,60 @@
 ;       or a suitable mix...
 ;
-; horizontal parameters:
-;       glam[tf], gphi[tf], e1t and e2t
-;    and if FULLCGRID keyword is defined:
-;       glam[uv], gphi[uv], e1[uvf] and e2[uvf]
+; glamt 
+; glamf 
+; gphit 
+; gphif 
+; e1t 
+; e2t 
+; horizontal parameters
+;
+; glamu {in}
+; glamv {in}
+; gphiu {in}
+; gphiv {in}
+; e1u {in}
+; e1v {in}
+; e1f {in}
+; e2u {in}
+; e2v {in}
+; e2f {in}
+; horizontal parameters if FULLCGRID keyword is defined
 ;      
-; verticals parameters:
-;       gdep[tw], e3[tw]
-;
-; masks: tmask
-;        and if FULLCGRID keyword is defined:[uv]maskred fmaskred[xy]
-;
-; triangulation: triangles_list
-;
-; key_ parameters:
-;       key_shift, key_periodic, key_zreverse, key_yreverse,
-;       key_stride, key_onearth, key_partialstep
+; gdept 
+; gdepw 
+; e3t 
+; e3w 
+; verticals parameters
+;
+; tmask 
+; masks
+;
+; umaskred {in}
+; vmaskred {in}
+; fmaskredx {in}
+; fmaskredy {in}
+; masks if FULLCGRID keyword is defined
+; 
+; triangles_list
+; triangulation
 ;
 ; @categories grid
 ;
-;       @param startx {in}{required} scalar, x starting point
-;       @param starty {in}{required} scalar, y starting point
-;       @param stepxin {in}{required} scalar or vector: x direction step, must be > 0
+; @param startx {in}{required} scalar, x starting point
+; @param starty {in}{required} scalar, y starting point
+; @param stepxin {in}{required} scalar or vector: x direction step, must be > 0
 ;             if vector nx is not used
-;       @param stepyin {in}{required} scalar or vector: y direction step, 
+; @param stepyin {in}{required} scalar or vector: y direction step, 
 ;             could be > 0 (south to north) or < 0 (north to south)
 ;             if vector ny is not used
-;       @param nxin {in}{required} scalar, number of points in x direction 
-;       @param nyin {in}{required} scalar, number of points in y direction
-;
-;       @keyword /FULLCGRID activate to specify that you want to compute
+; @param nxin {in}{required} scalar, number of points in x direction 
+; @param nyin {in}{required} scalar, number of points in y direction
+;
+; @keyword /FULLCGRID activate to specify that you want to compute
 ;       all the paremeters of a C grid. Computation of glam[uv],
 ;       gphi[uv], e1[uvf], e2[uvf], [uv]maskred and fmaskred[xy]
 ;       will be add to the default computations
 ;
-;       @keyword GLAMBOUNDARY a 2 elements vector, [lon1,lon2], the longitute
+; @keyword GLAMBOUNDARY a 2 elements vector, [lon1,lon2], the longitute
 ;       boundaries that should be used to visualize the data.
 ;       we must have lon2 > lon1 and lon2 - lon1 le 360
@@ -52,7 +73,7 @@
 ;       key_shift will /= 0 only if key_periodic = 1 
 ;
-;       @keyword MASK to specify the mask with a 2 or 3 dimension array
-;
-;       @keyword ONEARTH = 0 or 1 to force the manual definition of
+; @keyword MASK to specify the mask with a 2 or 3 dimension array
+;
+; @keyword ONEARTH = 0 or 1 to force the manual definition of
 ;       key_onearth (to specify if the data are on earth -> use longitude
 ;       /latitude etc...). By default, key_onearth = 1.
@@ -60,26 +81,26 @@
 ;       and is cancelling GLAMBOUNDARY
 ;
-;       @keyword PERIODIC = 0 or 1 to force the manual definition of
+; @keyword PERIODIC = 0 or 1 to force the manual definition of
 ;       key_periodic. By default, key_periodic is automaticaly
 ;       computed by using the first line of glamt. 
 ;
-;       @keyword /PLAIN force PERIODIC = 0, SHIFT = 0, STRIDE = [1, 1, 1] and
+; @keyword /PLAIN force PERIODIC = 0, SHIFT = 0, STRIDE = [1, 1, 1] and
 ;       suppress the automatic redefinition of the domain in case of 
 ;       x periodicity overlap, y periodicity overlap (ORCA type only)
 ;       and mask border to 0.
 ;
-;       @keyword SHIFT = scalar to force the manual definition of key_shift. By
+; @keyword SHIFT = scalar to force the manual definition of key_shift. By
 ;       debault, key_shift is automaticaly computed according to
 ;       glamboundary (when defined) by using the FIRST LINE of glamt. if
 ;       key_periodic=0 then in any case key_shift = 0. 
 ;
-;       @keyword STRCALLING a string containing the calling command used to
+; @keyword STRCALLING a string containing the calling command used to
 ;       call computegrid (this is used by xxx.pro)
 ;
-;       @keyword STRIDE  a 3 elements vector to specify the stride in x, y, z
+; @keyword STRIDE  a 3 elements vector to specify the stride in x, y, z
 ;       direction. Default definition is [1, 1, 1]. The resulting value
 ;       will be stored in the common (cm_4mesh) variable key_stride
 ;
-;       @keyword XAXIS to specify longitude1 with a 1 or 2 dimension array, in 
+; @keyword XAXIS to specify longitude1 with a 1 or 2 dimension array, in 
 ;       this case startx, stepx and nx are not used but could be
 ;       necessary if the y axis is not defined with yaxis. It must be
@@ -87,5 +108,5 @@
 ;       order by shifting its elements.
 ;
-;       @keyword YAXIS to specify latitudes with a 1 or 2 dimension array, in 
+; @keyword YAXIS to specify latitudes with a 1 or 2 dimension array, in 
 ;       this case starty, stepy and ny are not used but starty and
 ;       stepy could be necessary if the x axis is not defined with xaxis.
@@ -93,19 +114,19 @@
 ;       (along each column if 2d array).
 ;
-;       @keyword /XYINDEX activate to specify that the horizontal grid should 
+; @keyword /XYINDEX activate to specify that the horizontal grid should 
 ;       be simply defined by using the index of the points
 ;          (xaxis = findgen(nx) and yaxis = findgen(ny))
 ;       using this keyword forces key_onearth=0
 ;
-;       @keyword XMINMESH 
-;       @keyword YMINMESH 
-;       @keyword ZMINMESH 
+; @keyword XMINMESH 
+; @keyword YMINMESH 
+; @keyword ZMINMESH 
 ;       to define the common variables i[xyz]minmesh
 ;       used to define the grid only in a zoomed part of the original
 ;       grid. Defaut values are 0L, max value is [XYZ]MAXMESH
 ;
-;       @keyword XMAXMESH 
-;       @keyword YMAXMESH 
-;       @keyword ZMAXMESH 
+; @keyword XMAXMESH 
+; @keyword YMAXMESH 
+; @keyword ZMAXMESH 
 ;       to define the common variables i[xyz]maxmesh
 ;       used to define the grid only in a zoomed part of the original
@@ -115,6 +136,12 @@
 ;       [XYZ]MAXMESH 	
 ;
-;       @keyword ZAXIS to specify the vertical axis with a 1 dimension
+; @keyword FBASE2TBASE
+;
+; @keyword STRCALLING
+;
+; @keyword ZAXIS to specify the vertical axis with a 1 dimension
 ;       array. Must be sorted in the increasing or deceasing order
+;
+; @keyword _EXTRA used to pass your keywords to the created function.
 ;
 ; @uses cm_4mesh cm_4data cm_4cal
@@ -134,4 +161,7 @@
 ;  Sept 2004, several bug fixs to suit C grid type...
 ;  Aug 2005, rewritte almost everything...
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Grid/micromeshmask.pro
===================================================================
--- trunk/SRC/Grid/micromeshmask.pro	(revision 114)
+++ trunk/SRC/Grid/micromeshmask.pro	(revision 118)
@@ -2,18 +2,19 @@
 ;
 ; @file_comments reduce the size of the NetCDF meshmask created by OPA by
-; using bit (and not byte) format for the masks and the foat format
-; for the other fields. 
+; using bit (and not byte) format for the masks and the float format
+; for the other fields.
 ;
 ; @categories for OPA meshmask files
 ;
-; @examples 
-; IDL> reducencmeshmask, ncfilein[, ncfileout]
-;
-; @examples 
-;    IDL> meshdir='/d1fes2-raid2/smasson/DATA/ORCA05/'
-;    IDL> micromeshmask, 'meshmask_ORCA_R05.nc',iodir=meshdir
+; @param inid {in}{required}
+; @param outid {in}{required}
+; @param inname {in}{required}
+; @param outname {in}{optional}
 ;
 ; @history
 ;      July 2004 Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------
@@ -30,5 +31,5 @@
 ;
 ;+
-;    @keyword IODIR to define the files path.
+;
 ;      @param ncfilein {in}{required}
 ;      1) the name of the meshmask file to be reduced. In that case,
@@ -40,10 +41,15 @@
 ;      xxx.mask.nc. In that case, the meshmask is split into 3 files.
 ;
-;      @param ncfileout {in}{required} the name of the uniq reduced meshmask file. default
-;      definition is micromeshmask.nc
+; @param ncfileout {in}{optional} the name of the uniq reduced meshmask file.
+; default definition is micromeshmask.nc
+;
+; @keyword IODIR to define the files path.
+;
+; @examples
+; IDL> meshdir='/d1fes2-raid2/smasson/DATA/ORCA05/'
+; IDL> micromeshmask, 'meshmask_ORCA_R05.nc',iodir=meshdir
 ;
 ;-
 PRO micromeshmask, ncfilein, ncfileout, IODIR = iodir
-;
 ;
   compile_opt idl2, strictarrsubs
@@ -68,5 +74,5 @@
 ; get the horizontal dimensions
   IF n_elements(filein_hgr) NE 0  THEN cdfid = ncdf_open(filein_hgr) $
-  ELSE cdfid = ncdf_open(filein) 
+  ELSE cdfid = ncdf_open(filein)
   ncdf_diminq, cdfid, 'x', name, jpi
   ncdf_diminq, cdfid, 'y', name, jpj
@@ -81,11 +87,11 @@
   ENDIF
   listdims = strlowcase(ncdf_listdims(cdfid))
-  IF (where(listdims EQ 'z'))[0] NE -1 THEN ncdf_diminq, cdfid, 'z', name, jpk ELSE BEGIN 
+  IF (where(listdims EQ 'z'))[0] NE -1 THEN ncdf_diminq, cdfid, 'z', name, jpk ELSE BEGIN
     dimid = (where(strmid(listdims, 0, 5) EQ 'depth'))[0]
-    IF dimid NE -1 THEN ncdf_diminq, cdfid, dimid, name, jpk ELSE BEGIN 
+    IF dimid NE -1 THEN ncdf_diminq, cdfid, dimid, name, jpk ELSE BEGIN
       dummy = report('We could not find the vertical dimension..., its name must be z or start with depth')
       return
-    ENDELSE 
-  ENDELSE 
+    ENDELSE
+  ENDELSE
 ;; get the variables list related to the partial steps
   varlist_ps = ncdf_listvars(cdfid)
@@ -174,5 +180,5 @@
   FOR z = 0, n_elements(zgrlist)-1 DO $
     ncdf_transfer, cdfid, cdfidout, zgrlist[z]
-; partial step variables 
+; partial step variables
   IF (where(varlist_ps EQ 'hdept'))[0] NE -1 THEN $
     ncdf_transfer, cdfid, cdfidout, 'hdept'
Index: trunk/SRC/Grid/n128gaussian.pro
===================================================================
--- trunk/SRC/Grid/n128gaussian.pro	(revision 114)
+++ trunk/SRC/Grid/n128gaussian.pro	(revision 118)
@@ -13,4 +13,7 @@
 ;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      June 2004
+;
+; @version $Id$
+;
 ;-
 ;
Index: trunk/SRC/Grid/n160gaussian.pro
===================================================================
--- trunk/SRC/Grid/n160gaussian.pro	(revision 114)
+++ trunk/SRC/Grid/n160gaussian.pro	(revision 118)
@@ -14,4 +14,7 @@
 ;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      June 2004
+;
+; @version $Id$
+;
 ;-
 ;
Index: trunk/SRC/Grid/n256gaussian.pro
===================================================================
--- trunk/SRC/Grid/n256gaussian.pro	(revision 114)
+++ trunk/SRC/Grid/n256gaussian.pro	(revision 118)
@@ -14,4 +14,7 @@
 ;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      June 2004
+;
+; @version $Id$
+;
 ;-
 ;
Index: trunk/SRC/Grid/n48gaussian.pro
===================================================================
--- trunk/SRC/Grid/n48gaussian.pro	(revision 114)
+++ trunk/SRC/Grid/n48gaussian.pro	(revision 118)
@@ -14,4 +14,7 @@
 ;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      June 2004
+;
+; @version $Id$
+;
 ;-
 ;
Index: trunk/SRC/Grid/n80gaussian.pro
===================================================================
--- trunk/SRC/Grid/n80gaussian.pro	(revision 114)
+++ trunk/SRC/Grid/n80gaussian.pro	(revision 118)
@@ -14,4 +14,7 @@
 ;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      June 2004
+;
+; @version $Id$
+;
 ;-
 ;
Index: trunk/SRC/Grid/ncdf_meshread.pro
===================================================================
--- trunk/SRC/Grid/ncdf_meshread.pro	(revision 114)
+++ trunk/SRC/Grid/ncdf_meshread.pro	(revision 118)
@@ -11,10 +11,10 @@
 ; IDL> ncdf_meshread [,' filename']
 ; 
-;    @param filename {in}{optional} the name of the meshmask file to read. Default is
+; @param filename {in}{optional} the name of the meshmask file to read. Default is
 ;    meshmask.nc. if this name does not contain any / and if
 ;    iodirectory keyword is not specify, then the common variable
 ;    iodir will be use to define the mesh file path.
 ;
-;    @keyword GLAMBOUNDARY a 2 elements vector, {lon1,lon2], the longitute
+; @keyword GLAMBOUNDARY a 2 elements vector, {lon1,lon2], the longitute
 ;    boundaries that should be used to visualize the data.
 ;      lon2 > lon1
@@ -22,8 +22,8 @@
 ;    key_shift will be automaticaly defined according to GLAMBOUNDARY.
 ;
-;    @keyword /CHECKDAT Suppressed. Use micromeshmask.pro to create an
+; @keyword /CHECKDAT Suppressed. Use micromeshmask.pro to create an
 ;    appropriate meshmask.
 ;
-;    @keyword ONEARTH = 0 or 1 to force the manual definition of
+; @keyword ONEARTH = 0 or 1 to force the manual definition of
 ;    key_onearth (to specify if the data are on earth -> use longitude
 ;    /latitude etc...). By default, key_onearth = 1.
@@ -31,19 +31,25 @@
 ;    cancelling GLAMBOUNDARY
 ;
-;    @keyword PERIODIC = 0 or 1 to force the manual definition of
+; @keyword GETDIMENSIONS
+;
+; @keyword PERIODIC = 0 or 1 to force the manual definition of
 ;    key_periodic. By default, key_periodic is automaticaly
 ;    computed by using the first line of glamt.
 ;
-;    @keyword SHIFT  to force the manual definition of key_shift. By
+; @keyword SHIFT  to force the manual definition of key_shift. By
 ;    debault, key_shift is automaticaly computed according to the
 ;    glamboundary (when defined) by using the first line of glamt. if
 ;    key_periodic=0 then in any case key_shift = 0. 
 ;
-;    @keyword STRCALLING a string containing the calling command used to call
+; @keyword STRCALLING a string containing the calling command used to call
 ;    computegrid (this is used by xxx.pro)
 ;
-;    @keyword STRIDE a 3 elements vector to specify the stride in x, y, z
+; @keyword STRIDE a 3 elements vector to specify the stride in x, y, z
 ;    direction. Default definition is key_stride. The resulting value
 ;    will be stored in the common (cm_4mesh) variable key_stride
+;
+;
+; @keyword _EXTRA used to pass your keywords to the created function.
+;
 ;
 ; @uses cm_4mesh cm_4data cm_4cal
@@ -65,4 +71,7 @@
 ; Oct. 2004, Sebastien Masson: add PERIODIC and SHIFT
 ; Aug. 2005, Sebastien Masson: some cleaning + english 
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Grid/restoreboxparam.pro
===================================================================
--- trunk/SRC/Grid/restoreboxparam.pro	(revision 114)
+++ trunk/SRC/Grid/restoreboxparam.pro	(revision 118)
@@ -19,4 +19,7 @@
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 2005
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Grid/saveboxparam.pro
===================================================================
--- trunk/SRC/Grid/saveboxparam.pro	(revision 114)
+++ trunk/SRC/Grid/saveboxparam.pro	(revision 118)
@@ -20,4 +20,7 @@
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2005
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Grid/smallmeshmask.pro
===================================================================
--- trunk/SRC/Grid/smallmeshmask.pro	(revision 114)
+++ trunk/SRC/Grid/smallmeshmask.pro	(revision 118)
@@ -3,7 +3,15 @@
 ;
 ; @categories for OPA meshmask files
+;
+; @param inid {in}{required}
+; @param outid {in}{required}
+; @param inname {in}{required}
+; @param outname {in}{optional}
 ;
 ; @history
 ;      July 2004 Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------
@@ -21,5 +29,5 @@
 ;+
 ; @file_comments reduce the size of the NetCDF meshmask created by OPA by
-; using byte format for the masks and the foat format for the other
+; using byte format for the masks and the float format for the other
 ; fields.
 ;
@@ -45,4 +53,7 @@
 ; @history
 ;      July 2004 Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;
+; @version $Id$
+;
 ;-
 PRO smallmeshmask, ncfilein, ncfileout, IODIR = iodir