Index: trunk/SRC/Documentation/xmldoc/firststeps.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 117)
+++ trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 120)
@@ -3,10 +3,10 @@
    <title>
     First steps with SAXO
-  </title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.70.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e3"></a>
+  </title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.70.1"><meta name="keywords" content="IDL, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e3"></a>
     First steps with <span class="application">SAXO</span>
-  </h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">29 July 2005</td></tr><tr><td align="left" colspan="2">First draft</td></tr><tr><td align="left">Revision 0.1</td><td align="left">29 August 2005</td></tr><tr><td align="left" colspan="2">last japanese version!</td></tr><tr><td align="left">Revision 0.2</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">split with getsaxo</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#first_plots">1. 
+  </h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_locean-ipsl.upmc.fr">smasson_at_locean-ipsl.upmc.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">29 July 2005</td></tr><tr><td align="left" colspan="2">First draft</td></tr><tr><td align="left">Revision 0.1</td><td align="left">29 August 2005</td></tr><tr><td align="left" colspan="2">last Japanese version!</td></tr><tr><td align="left">Revision 0.2</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">split with getsaxo</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#first_plots">1. 
       First plots...
     </a></span></dt><dd><dl><dt><span class="sect2"><a href="#start_with_init">1.1. 
-	Start idl session: <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>
+	Start IDL session: <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>
       </a></span></dt><dt><span class="sect2"><a href="#basic_plots">1.2. 
 	basic plots...
@@ -26,7 +26,7 @@
       First plots...
     </h2></div></div></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="start_with_init"></a>1.1.&nbsp;
-	Start idl session: <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>
-      </h3></div></div></div><p>
-	Each idl session using <span class="application">SAXO</span> must always start with: <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>.      
+	Start IDL session: <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>
+      </h3></div></div></div><p>
+	Each IDL session using <span class="application">SAXO</span> must always start with: <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>.      
       </p><p>
 	<span class="emphasis"><em>The @ is equivalent to an include. It is used to execute a set of IDL commands that will be directly executed without any compilation (as it is the case for a procedure or a function). All variables defined and used in the @... file will still be accessible after the execution of the @... is finished (which is not the case for procedures and functions that ends with the return instruction).</em></span>
@@ -54,5 +54,5 @@
   <code class="prompt">idl&gt;</code>
 	</pre><p>
-	As an IDL session using <span class="application">SAXO</span> must always start with <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>, it could be convenient to define the environment variable <code class="envar">IDL_STARTUP</code> to <code class="filename"><code class="envar">${HOME}</code>/My_IDL/init.pro</code>. In that way, <code class="filename">init.pro</code> will automatically been execuded when starting IDL. This can be done with the following command:
+	As an IDL session using <span class="application">SAXO</span> must always start with <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">@init</strong></span></code></strong>, it could be convenient to define the environment variable <code class="envar">IDL_STARTUP</code> to <code class="filename"><code class="envar">${HOME}</code>/My_IDL/init.pro</code>. In that way, <code class="filename">init.pro</code> will automatically been executed when starting IDL. This can be done with the following command:
       </p><div class="variablelist"><dl><dt><span class="term"><span><strong class="command">csh</strong></span></span></dt><dd><pre class="screen"><code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">setenv</strong></span> <code class="envar">IDL_STARTUP</code> <code class="filename"><code class="envar">${HOME}</code>/My_IDL/init.pro</code></code></strong></pre></dd><dt><span class="term"><span><strong class="command">ksh</strong></span></span></dt><dd><pre class="screen"><code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">export</strong></span> <code class="envar">IDL_STARTUP</code>=<code class="filename"><code class="envar">${HOME}</code>/My_IDL/init.pro</code></code></strong></pre></dd></dl></div><p>
       </p></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="basic_plots"></a>1.2.&nbsp;
@@ -73,5 +73,5 @@
 	      </p></td></tr></table></div></div><p>
      </p><p>
-	Using IDL <span><strong class="command">plot</strong></span> command is quite unconvenient to save the figure as a postscript. In addition, positionning the figure on the window/page by using <code class="varname">!p.position</code>, <code class="varname">!p.region</code> and <code class="varname">!p.multi</code> is often a nightmare. That's why we developped <span><strong class="command">splot</strong></span> (like super-plot) which can be used in the same way as plot but is much more convenient to make postcript and position the figure.
+	Using IDL <span><strong class="command">plot</strong></span> command is quite inconvenient to save the figure as a postscript. In addition, positioning the figure on the window/page by using <code class="varname">!p.position</code>, <code class="varname">!p.region</code> and <code class="varname">!p.multi</code> is often a nightmare. That's why we developed <span><strong class="command">splot</strong></span> (like super-plot) which can be used in the same way as plot but is much more convenient to make postscript and position the figure.
 	</p><pre class="screen">
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">splot, y</strong></span></code></strong> <a href="figpng/basic_splot1.png?format=raw" target="_top"><span class="inlinemediaobject"><img src="images/showfig.png?format=raw" alt="show result"></span></a>
@@ -100,5 +100,5 @@
   <code class="computeroutput">% Compiled module: XMANAGER.</code>
 	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png?format=raw" alt="1" border="0"></td><td valign="top" align="left"><p>
-		<em><span class="remark">If needed, the name of the postscript will automatically be completed with .ps. Just hit return, if you want to use the default postcript name: <code class="filename">idl.ps</code>.</span></em> 
+		<em><span class="remark">If needed, the name of the postscript will automatically be completed with .ps. Just hit return, if you want to use the default postscript name: <code class="filename">idl.ps</code>.</span></em> 
 	      </p></td></tr></table></div></div><p>
 	Check that the &#8220;<span class="quote"><code class="filename">first_ps.ps</code></span>&#8221; file is now existing...
@@ -151,7 +151,7 @@
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">    , small <span class="inlinemediaobject"><img src="images/callouts/1.png?format=raw" alt="1"></span> = [1, 2, 2], /noerase <span class="inlinemediaobject"><img src="images/callouts/2.png?format=raw" alt="2"></span></strong></span></code></strong> <a href="figpng/basic_splot3.png?format=raw" target="_top"><span class="inlinemediaobject"><img src="images/showfig.png?format=raw" alt="show result"></span></a>
 	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png?format=raw" alt="1" border="0"></td><td valign="top" align="left"><p>
-		the <code class="computeroutput">small</code> keyword is a 3 elements vector which defines how we devide the page and in which case we should make the plot: [number of columns, number of rows, case number]. The case numbering is starting at 1, from top to bottom and left to right.
+		the <code class="computeroutput">small</code> keyword is a 3 elements vector which defines how we divide the page and in which case we should make the plot: [number of columns, number of rows, case number]. The case numbering is starting at 1, from top to bottom and left to right.
 	      </p></td></tr><tr><td width="5%" valign="top" align="left"><img src="images/callouts/2.png?format=raw" alt="2" border="0"></td><td valign="top" align="left">
-		you must put <code class="computeroutput">/norease</code> otherwise the second plot will be done in a new window.
+		you must put <code class="computeroutput">/noerase</code> otherwise the second plot will be done in a new window.
 	      </td></tr></table></div></div><p>
       </p></div><div class="sect3" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="basic_contour"></a>1.2.2.&nbsp;
@@ -172,5 +172,5 @@
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">    , xtitle = 'x index', charsize = 1.5</strong></span></code></strong> <a href="figpng/basic_scontour2.png?format=raw" target="_top"><span class="inlinemediaobject"><img src="images/showfig.png?format=raw" alt="show result"></span></a>
 	</pre><p>
-It can be used in combinanson with contour to make more complex plots:
+It can be used in combinaison with contour to make more complex plots:
 	</p><div class="screenco"><pre class="screen">
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">ind = findgen(2*n)/(2.*n)</strong></span></code></strong>
@@ -210,5 +210,5 @@
       Explore gridded data (model outputs and observations)
     </h2></div></div></div><p>
-      This section briefly describes the main fonctionalities offered by SAXO to explore gridded data on regular or irregular grid.
+      This section briefly describes the main functionalities offered by SAXO to explore gridded data on regular or irregular grid.
     </p><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="load_grid"></a>2.1.&nbsp;
 	Load the data grid
@@ -218,5 +218,5 @@
 	  Easiest solution: load data grid (regular or not) directly from the data file.
 	</h4></div></div></div><p>
-	  Example of Levitus temprature on a regular 1x1 grid. 
+	  Example of Levitus temperature on a regular 1x1 grid. 
 	  </p><pre class="screen">
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">@tst_initlev</strong></span></code></strong>
@@ -236,5 +236,5 @@
 	  </pre><p>
 	  This <a href="../../Tests/tst_initlev.pro?format=raw" target="_top"><span><strong class="command">@tst_initlev</strong></span></a> command allows us to define:
-	  </p><div class="itemizedlist"><ul type="disc"><li>domain dimensions, stored in <code class="varname">jpi, jpj and jpk</code></li><li>points abscissa, stored in 2D array <code class="varname"></code>glamt</li><li>points ordinates, stored in 2D array <code class="varname"></code>gphit</li><li>points depths, stored in 1D array <code class="varname"></code>gdept</li><li>cells corners abscissa, storde in 2D array <code class="varname"></code>glamf</li><li>cells corners ordinates, stored in 2D array <code class="varname"></code>gphif</li><li>cells upper bondary depth, stored in 1D array <code class="varname"></code>gdepw</li><li>land-sea mask, stored in <code class="varname"></code>tmask</li><li>the cells size in the longitudinal direction, stored in 2D array <code class="varname"></code>e1t</li><li>the cells size in the latitudinal direction, stored in 2D array <code class="varname"></code>e2t</li><li>the cells size in the vertical direction, stored in 1D array <code class="varname"></code>e3t</li><li>the triangulation used to fill the land points, stored in <code class="varname"></code>triangles_list</li></ul></div><p>
+	  </p><div class="itemizedlist"><ul type="disc"><li>domain dimensions, stored in <code class="varname">jpi, jpj and jpk</code></li><li>points abscissa, stored in 2D array <code class="varname"></code>glamt</li><li>points ordinates, stored in 2D array <code class="varname"></code>gphit</li><li>points depths, stored in 1D array <code class="varname"></code>gdept</li><li>cells corners abscissa, stored in 2D array <code class="varname"></code>glamf</li><li>cells corners ordinates, stored in 2D array <code class="varname"></code>gphif</li><li>cells upper boundary depth, stored in 1D array <code class="varname"></code>gdepw</li><li>land-sea mask, stored in <code class="varname"></code>tmask</li><li>the cells size in the longitudinal direction, stored in 2D array <code class="varname"></code>e1t</li><li>the cells size in the latitudinal direction, stored in 2D array <code class="varname"></code>e2t</li><li>the cells size in the vertical direction, stored in 1D array <code class="varname"></code>e3t</li><li>the triangulation used to fill the land points, stored in <code class="varname"></code>triangles_list</li></ul></div><p>
 
 	  </p><pre class="screen">
@@ -272,5 +272,5 @@
 	horizontal plots and maps
       </h3></div></div></div><p>
-	  A quick presentation of horizontal plots and maps is shown in <a href="../../Tests/tst_plt.pro?format=raw" target="_top">tst_plt</a>. After laoding any of the grid (for example with one of the <a href="#load_grid" title="2.1.&nbsp;&#xA;Load the data grid&#xA;      ">above examples</a>). Just try:
+	  A quick presentation of horizontal plots and maps is shown in <a href="../../Tests/tst_plt.pro?format=raw" target="_top">tst_plt</a>. After loading any of the grid (for example with one of the <a href="#load_grid" title="2.1.&nbsp;&#xA;Load the data grid&#xA;      ">above examples</a>). Just try:
 	  </p><pre class="screen">
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">tst_plt</strong></span></code></strong>