Index: trunk/SRC/Documentation/xmldoc/firststeps.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 123)
@@ -66,5 +66,6 @@
    <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">plot, y</strong></span></code></strong> <a href="figpng/basic_plot.png?format=raw" target="_top"><span class="inlinemediaobject"><img src="images/showfig.png?format=raw" alt="show result"></span></a>
 	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png?format=raw" alt="1" border="0"></td><td valign="top" align="left"><p>
-		<span><strong class="command">findgen</strong></span> stands for <span><strong class="command">f</strong></span>loat <span><strong class="command">ind</strong></span>ex <span><strong class="command">gen</strong></span>erator. 
+		<span><strong class="command">findgen</strong></span> stands for 
+<span class="bold"><strong>f</strong></span>loat <span class="bold"><strong>ind</strong></span>ex <span class="bold"><strong>gen</strong></span>erator. 
 		</p><pre class="screen">
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">print, findgen(6)</strong></span></code></strong>
Index: trunk/SRC/Documentation/xmldoc/firststeps.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/firststeps.xml	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/firststeps.xml	(revision 123)
@@ -25,5 +25,5 @@
 
 source :
-$HeadURL$
+$HeadURL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/saxo/svn/trunk/SRC/Documentation/xmldoc/firststeps.xml $
 
 update :
@@ -137,5 +137,6 @@
 	    <callout arearefs="findgen">
 	      <para>
-		<command>findgen</command> stands for <command>f</command>loat <command>ind</command>ex <command>gen</command>erator. 
+		<command>findgen</command> stands for 
+<emphasis role="bold">f</emphasis>loat <emphasis role="bold">ind</emphasis>ex <emphasis role="bold">gen</emphasis>erator. 
 		<screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>print, findgen(6)</command></userinput>
Index: trunk/SRC/Documentation/xmldoc/getsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.xml	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.xml	(revision 123)
@@ -4,7 +4,4 @@
 [
 <!ENTITY promptidl "idl&gt;">
-<!ENTITY numb1 '<inlinemediaobject><imageobject><imagedata fileref="images/callouts/1.png" format="PNG"/></imageobject><textobject><phrase>1</phrase></textobject></inlinemediaobject>'>
-<!ENTITY numb2 '<inlinemediaobject><imageobject><imagedata fileref="images/callouts/2.png" format="PNG"/></imageobject><textobject><phrase>2</phrase></textobject></inlinemediaobject>'>
-<!ENTITY showfig '<inlinemediaobject><imageobject><imagedata fileref="images/showfig.png" format="PNG"/></imageobject><textobject><phrase>show result</phrase></textobject></inlinemediaobject>'>
 ]>
 <!--
Index: trunk/SRC/Documentation/xmldoc/infoupdatecm.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/infoupdatecm.html	(revision 123)
+++ trunk/SRC/Documentation/xmldoc/infoupdatecm.html	(revision 123)
@@ -0,0 +1,13 @@
+<html><head>
+      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
+   <title>Commons update</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.70.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e2"></a>Commons update</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_locean-ipsl.upmc.fr">smasson_at_locean-ipsl.upmc.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">July 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#intro">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#disappeared">2. Commons disappeared</a></span></dt><dt><span class="sect1"><a href="#translation">3. Commons translations</a></span></dt><dt><span class="sect1"><a href="#otherkind">4. Commons transformations</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="intro"></a>1.&nbsp;Introduction</h2></div></div></div><p>
+Since Changeset 68 (2006-05-09), some commons had disseappeared and others had been translated.
+</p><p>
+blabla keepcompatibility ++
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="disappeared"></a>2.&nbsp;Commons disappeared</h2></div></div></div><p>
+</p><table class="simplelist" border="0" summary="Simple list"><tr><td><code class="varname">bleu</code></td></tr><tr><td><code class="varname">c_lab</code></td></tr><tr><td><code class="varname">c_cont</code></td></tr><tr><td><code class="varname">c_cote</code></td></tr><tr><td><code class="varname">colorbardiv</code></td></tr><tr><td><code class="varname">colorbarinf</code></td></tr><tr><td><code class="varname">colorbarsup</code></td></tr><tr><td><code class="varname">couleur</code></td></tr><tr><td><code class="varname">day</code></td></tr><tr><td><code class="varname">loginipsl</code></td></tr><tr><td><code class="varname">loginlodyc</code></td></tr><tr><td><code class="varname">machipsl</code></td></tr><tr><td><code class="varname">machlodyc</code></td></tr><tr><td><code class="varname">month</code></td></tr><tr><td><code class="varname">niveau</code></td></tr><tr><td><code class="varname">rouge</code></td></tr><tr><td><code class="varname">tmpdir</code></td></tr><tr><td><code class="varname">vert</code></td></tr><tr><td><code class="varname">workdir</code></td></tr><tr><td><code class="varname">year</code></td></tr></table><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="translation"></a>3.&nbsp;Commons translations</h2></div></div></div><p>
+According to the last release of <code class="filename">updateold.pro</code>
+</p><div class="informaltable"><table border="1"><colgroup><col><col></colgroup><thead><tr><th>Old</th><th>New</th></tr></thead><tbody><tr><td><code class="varname">sauveps</code></td><td><code class="varname">archive_ps</code></td></tr><tr><td><code class="varname">premierxf</code></td><td><code class="varname">firstxf</code></td></tr><tr><td><code class="varname">premierxt</code></td><td><code class="varname">firstxt</code></td></tr><tr><td><code class="varname">premierxu</code></td><td><code class="varname">firstxu</code></td></tr><tr><td><code class="varname">premierxv</code></td><td><code class="varname">firstxv</code></td></tr><tr><td><code class="varname">premieryf</code></td><td><code class="varname">firstyf</code></td></tr><tr><td><code class="varname">premieryt</code></td><td><code class="varname">firstyt</code></td></tr><tr><td><code class="varname">premieryu</code></td><td><code class="varname">firstyu</code></td></tr><tr><td><code class="varname">premieryv</code></td><td><code class="varname">firstyv</code></td></tr><tr><td><code class="varname">premierzt</code></td><td><code class="varname">firstzt</code></td></tr><tr><td><code class="varname">premierzw</code></td><td><code class="varname">firstzw</code></td></tr><tr><td><code class="varname">jptmax</code></td><td><code class="varname">jpt</code></td></tr><tr><td><code class="varname">key_periodique</code></td><td><code class="varname">key_periodic</code></td></tr><tr><td><code class="varname">dernierxf</code></td><td><code class="varname">lastxf</code></td></tr><tr><td><code class="varname">dernierxt</code></td><td><code class="varname">lastxt</code></td></tr><tr><td><code class="varname">dernierxu</code></td><td><code class="varname">lastxu</code></td></tr><tr><td><code class="varname">dernierxv</code></td><td><code class="varname">lastxv</code></td></tr><tr><td><code class="varname">dernieryf</code></td><td><code class="varname">lastyf</code></td></tr><tr><td><code class="varname">dernieryt</code></td><td><code class="varname">lastyt</code></td></tr><tr><td><code class="varname">dernieryu</code></td><td><code class="varname">lastyu</code></td></tr><tr><td><code class="varname">dernieryv</code></td><td><code class="varname">lastyv</code></td></tr><tr><td><code class="varname">dernierzt</code></td><td><code class="varname">lastzt</code></td></tr><tr><td><code class="varname">dernierzw</code></td><td><code class="varname">lastzw</code></td></tr><tr><td><code class="varname">margescadre</code></td><td><code class="varname">page_margins</code></td></tr><tr><td><code class="varname">grandfeuille</code></td><td><code class="varname">max(page_size)</code></td></tr><tr><td><code class="varname">petitfeuille</code></td><td><code class="varname">min(page_size)</code></td></tr><tr><td><code class="varname">triangles</code></td><td><code class="varname">triangles_list</code></td></tr><tr><td><code class="varname">cointerredesc</code></td><td><code class="varname">twin_corners_dn</code></td></tr><tr><td><code class="varname">cointerremont</code></td><td><code class="varname">twin_corners_up</code></td></tr><tr><td><code class="varname">prefix</code></td><td><code class="varname">varexp</code></td></tr><tr><td><code class="varname">prof1</code></td><td><code class="varname">vert1</code></td></tr><tr><td><code class="varname">prof2</code></td><td><code class="varname">vert2</code></td></tr><tr><td><code class="varname">ccwindowsize</code></td><td><code class="varname">windowsize_scale</code></td></tr></tbody></table></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="otherkind"></a>4.&nbsp;Commons transformations</h2></div></div></div><p>
+<code class="varname">coefpalit</code> had been replaced by keyword <code class="varname">LIGTHNESS</code> in <code class="filename">openps.pro</code>.
+</p></div></div></body></html>
Index: trunk/SRC/Documentation/xmldoc/infoupdatecm.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/infoupdatecm.xml	(revision 123)
+++ trunk/SRC/Documentation/xmldoc/infoupdatecm.xml	(revision 123)
@@ -0,0 +1,92 @@
+<?xml version='1.0' encoding='iso-8859-1'?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
+"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" 
+[]>
+<!--
+update :
+$Id$
+-->
+<article>
+<title>Commons update</title> 
+  <articleinfo>
+    <authorgroup>
+      <author><firstname>Sébastien</firstname> <surname>Masson</surname> <email>smasson_at_locean-ipsl.upmc.fr</email></author>
+      <author><firstname>Françoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_locean-ipsl.upmc.fr</email></author>
+    </authorgroup>
+    <keywordset>
+      <keyword>idl</keyword>
+      <keyword>SAXO</keyword>
+    </keywordset>
+    <revhistory>
+      <revision>
+        <revnumber>0.0</revnumber>
+        <date>July 2006</date>
+        <revremark>First draft</revremark>
+      </revision>
+    </revhistory>  
+  </articleinfo>
+
+<sect1 id="intro">
+<title>Introduction</title>
+<para>
+Since Changeset 68 (2006-05-09), some commons had diseappeared and others had been translated.
+</para>
+<para>
+blabla keepcompatibility ++
+</para>
+</sect1>
+<sect1 id="disappeared">
+<title>Commons disappeared</title>
+<para>
+<simplelist>
+<member><varname>bleu</varname></member>
+<member><varname>c_lab</varname></member>
+<member><varname>c_cont</varname></member>
+<member><varname>c_cote</varname></member>
+<member><varname>colorbardiv</varname></member>
+<member><varname>colorbarinf</varname></member>
+<member><varname>colorbarsup</varname></member>
+<member><varname>couleur</varname></member>
+<member><varname>day</varname></member>
+<member><varname>loginipsl</varname></member>
+<member><varname>loginlodyc</varname></member>
+<member><varname>machipsl</varname></member>
+<member><varname>machlodyc</varname></member>
+<member><varname>month</varname></member>
+<member><varname>niveau</varname></member>
+<member><varname>rouge</varname></member>
+<member><varname>tmpdir</varname></member>
+<member><varname>vert</varname></member>
+<member><varname>workdir</varname></member>
+<member><varname>year</varname></member>
+</simplelist>
+</para>
+</sect1>
+<sect1 id="translation">
+<title>Commons translations</title>
+<para>
+According to the last release of <filename>updateold.pro</filename>
+</para>
+<informaltable  frame="all">
+<tgroup cols="2" colsep="1" rowsep="1">
+<colspec colname="old"/>
+<colspec colname="new"/>
+<thead>
+<row>
+<entry colname="old">Old</entry>
+<entry colname="new">New</entry>
+</row>
+</thead>
+<tbody>
+<!-- rows from updateold.pro -->
+</tbody>
+</tgroup>
+</informaltable>
+</sect1>
+<sect1 id="otherkind">
+<title>Commons transformations</title>
+<para>
+<varname>coefpalit</varname> had been replaced by keyword <varname>LIGTHNESS</varname> in <filename>openps.pro</filename>.
+</para>
+</sect1>
+</article>
Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 123)
@@ -1,4 +1,9 @@
 #!/bin/bash
 #
+# update : 
+# $Id$
+# fplod 2006-07-05T13:18:56Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add infoupdatecm
+# add sort and varname in production of infoupdatekwd
 # fplod 2006-06-07T13:55:07Z aedon.locean-ipsl.upmc.fr (Darwin)
 # add infoupdatekwd
@@ -61,5 +66,11 @@
    infoupdatekwd)
       grep "^  old = \[old, .* new = \[new" ../../ForOldVersion/updatekwd.pro | \
-      sed -e "s/\( old = \[old, '\)\(.*\)\('\] *& new = \[new, '\)\(.*\)\('\]\)/<row><entry colname='old'>\2<\/entry> <entry colname='new'>\4<\/entry><\/row>/" > /tmp/rows.xml
+	sort | \
+      sed -e "s/\( old = \[old, '\)\(.*\)\('\] *& new = \[new, '\)\(.*\)\('\]\)/<row><entry colname='old'><varname>\2<\/varname><\/entry> <entry colname='new'><varname>\4<\/varname><\/entry><\/row>/" > /tmp/rowskwd.xml
+   ;;
+   infoupdatecm)
+      grep "IF NOT key_forgetold AND n_elements(" ../../ForOldVersion/updateold.pro | \
+	sort | \
+      sed -e "s/\(^.* THEN \)\(.*\)\( = \)\(.*\)/<row><entry colname='old'><varname>\2<\/varname><\/entry> <entry colname='new'><varname>\4<\/varname><\/entry><\/row>/" > /tmp/rowscm.xml
    ;;
    *)
@@ -204,7 +215,12 @@
    ;;
    infoupdatekwd)
-      sed -e "/-- rows from updatekwd.pro --/r /tmp/rows.xml" \
-          ${1}.xml > ${1}_${$}.xml 
-      /bin/rm /tmp/rows.xml
+      sed -e "/-- rows from updatekwd.pro --/r /tmp/rowskwd.xml" \
+          ${1}.xml > ${1}_${$}.xml 
+      /bin/rm /tmp/rowskwd.xml
+   ;;
+   infoupdatecm)
+      sed -e "/-- rows from updateold.pro --/r /tmp/rowscm.xml" \
+          ${1}.xml > ${1}_${$}.xml 
+      /bin/rm /tmp/rowscm.xml
    ;;
    *)
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 123)
@@ -1,4 +1,13 @@
 #!/bin/bash
 # 
+# update :
+# $Id$
+# fplod 2006-07-04T13:09:19Z aedon.locean-ipsl.upmc.fr (Darwin)
+# for idldoc html output 
+# because preformat option doesn't seem to work well
+# replace 
+# div class="value"
+# by
+# div class="preformat"
 # fplod 2006-06-19T08:46:39Z aedon.locean-ipsl.upmc.fr (Darwin)
 # for idldoc html output 
@@ -6,5 +15,5 @@
 #     -e 's/\(href=".*\)\(\.html\)\("\)/\1\2?format=raw\3/g' \
 #     -e 's/\(href=".*\)\(\.html\)\(#.*"\)/\1\2?format=raw\3/g' \
-#     -e 's/\(src=".*\)\(\.htmal\)\("\)/\1\2?format=raw\3/g' \
+#     -e 's/\(src=".*\)\(\.html\)\("\)/\1\2?format=raw\3/g' \
 # by 
 # -e 's@\(href="[^.]*[^h]*[^t]*[^m]*[^l]*[^"]*\)\(\.html\)\("\)@\1\2?format=raw\3@g' \
@@ -214,4 +223,5 @@
      -e 's@\(href="[^.]*[^h]*[^t]*[^m]*[^l]*[^"]*\)\(\.html\)\(#.*"\)@\1\2?format=raw\3@g' \
      -e 's@\(src="[^.]*[^h]*[^t]*[^m]*[^l]*[^"]*\)\(\.html\)\("\)@\1\2?format=raw\3@g' \
+     -e 's@<div class="value">@<div class="preformat">@' \
      ${file_html} > ${file_html}_modify
      mv ${file_html}_modify ${file_html}
Index: trunk/SRC/Documentation/xmldoc/saxo.css
===================================================================
--- trunk/SRC/Documentation/xmldoc/saxo.css	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/saxo.css	(revision 123)
@@ -1,1 +1,5 @@
+/*
+update :
+$Id$
+*/
 .screen	        { background-color: lavender}
Index: trunk/SRC/Documentation/xmldoc/updatesaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/updatesaxo.xml	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/updatesaxo.xml	(revision 123)
@@ -3,8 +3,4 @@
 "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"
 [
-<!ENTITY promptidl "idl&gt;">
-<!ENTITY numb1 '<inlinemediaobject><imageobject><imagedata fileref="images/callouts/1.png" format="PNG"/></imageobject><textobject><phrase>1</phrase></textobject></inlinemediaobject>'>
-<!ENTITY numb2 '<inlinemediaobject><imageobject><imagedata fileref="images/callouts/2.png" format="PNG"/></imageobject><textobject><phrase>2</phrase></textobject></inlinemediaobject>'>
-<!ENTITY showfig '<inlinemediaobject><imageobject><imagedata fileref="images/showfig.png" format="PNG"/></imageobject><textobject><phrase>show result</phrase></textobject></inlinemediaobject>'>
 ]>
 <!--
Index: trunk/SRC/Documentation/xmldoc/whatsnew.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 123)
@@ -20,5 +20,6 @@
 This revision is equivalent to SAXO_RD 20060124.
 </p><p>
-See <a href="infoupdatekwd.html?format=raw" target="_top">Keywords translation</a>.
+See <a href="infoupdatekwd.html?format=raw" target="_top">Keywords translation</a>
+and <a href="infoupdatecm.html?format=raw" target="_top">Commons translation</a>.
 </p><p>
 Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/68" target="_top">Changeset 68</a>.
Index: trunk/SRC/Documentation/xmldoc/whatsnew.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatsnew.xml	(revision 120)
+++ trunk/SRC/Documentation/xmldoc/whatsnew.xml	(revision 123)
@@ -77,5 +77,6 @@
 </para>
 <para>
-See <ulink url="infoupdatekwd.html?format=raw">Keywords translation</ulink>.
+See <ulink url="infoupdatekwd.html?format=raw">Keywords translation</ulink>
+and <ulink url="infoupdatecm.html?format=raw">Commons translation</ulink>.
 </para>
 <para>