Index: trunk/SRC/Obsolete/cp.pro
===================================================================
--- trunk/SRC/Obsolete/cp.pro	(revision 118)
+++ trunk/SRC/Obsolete/cp.pro	(revision 127)
@@ -3,11 +3,12 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments copy files
+; @file_comments
+; copy files
+; file_copy should be used instead...
 ;
 ; @obsolete
 ;
-; @file_comments file_copy should be used instead...
+; @param filenamein {in}{required}
 ;
-; @param filenamein {in}{required}
 ; @param filenameout {in}{required}
 ;
Index: trunk/SRC/Obsolete/ficdate.pro
===================================================================
--- trunk/SRC/Obsolete/ficdate.pro	(revision 118)
+++ trunk/SRC/Obsolete/ficdate.pro	(revision 127)
@@ -3,11 +3,14 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments  sets s_fichier to name of the vairmer file associated
-;           to the given date in vairmer format ( yymmdd )
+; @file_comments
+; sets s_fichier to name of the vairmer file associated
+; to the given date in vairmer format ( yymmdd )
 ;
 ; @obsolete
 ;
 ; @param vdate {in} date vairmer ex:930124
+;
 ; @param dim {in} 'so' ou 'vo' par defaut so est choisi
+;
 ; @param nomexp {in} nom de l'experience en trois lettres par defaut prefix
 ;
Index: trunk/SRC/Obsolete/fictype.pro
===================================================================
--- trunk/SRC/Obsolete/fictype.pro	(revision 118)
+++ trunk/SRC/Obsolete/fictype.pro	(revision 127)
@@ -3,8 +3,10 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments  gives fictype ('DA' 'MO' 'AN' 'SE' 'EX') corresponding
-;           to the given date in vairmer format ( yymmdd )
+; @file_comments
+; gives fictype ('DA' 'MO' 'AN' 'SE' 'EX') corresponding
+; to the given date in vairmer format ( yymmdd )
 ;
 ; @param vdate {in}{required}
+;
 ; @param dim unused
 ;
Index: trunk/SRC/Obsolete/imprime.pro
===================================================================
--- trunk/SRC/Obsolete/imprime.pro	(revision 118)
+++ trunk/SRC/Obsolete/imprime.pro	(revision 127)
@@ -3,5 +3,7 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments use printps instead...
+; @file_comments
+; use printps instead...
+;
 ; @obsolete
 ;
Index: trunk/SRC/Obsolete/jourdsmois.pro
===================================================================
--- trunk/SRC/Obsolete/jourdsmois.pro	(revision 118)
+++ trunk/SRC/Obsolete/jourdsmois.pro	(revision 127)
@@ -3,8 +3,11 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments used daysinmonth instead...
+; @file_comments
+; used daysinmonth instead...
+;
 ; @obsolete
 ;
 ; @param mois {in}{optional}
+;
 ; @param annee {in}{optional}
 ;
Index: trunk/SRC/Obsolete/juldate.pro
===================================================================
--- trunk/SRC/Obsolete/juldate.pro	(revision 118)
+++ trunk/SRC/Obsolete/juldate.pro	(revision 127)
@@ -3,10 +3,12 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments you better use date2jul
+; @file_comments 
+; gives julian date equivalent of a date in vairmer
+; ( yymmdd or yyyymmdd ) format
+; sets month, day and year to the corresp values
+;
+; you better use date2jul
+;
 ; @obsolete
-;
-; @file_comments  gives julian date equivalent of a date in vairmer
-;           ( yymmdd or yyyymmdd ) format
-;           sets month, day and year to the corresp values
 ;
 ; @categories calendar
Index: trunk/SRC/Obsolete/lec.pro
===================================================================
--- trunk/SRC/Obsolete/lec.pro	(revision 118)
+++ trunk/SRC/Obsolete/lec.pro	(revision 127)
@@ -4,18 +4,19 @@
 ;+
 ; @file_comments
-;       lit les fichiers Vairmer en sort:
-;un tableau 2d ou 3d en fonction de nomchamp qui est le nom
-;du champ a extaire (2d s'il commence par SO et 3d s'il commence par VO)
-;cette fonction modifie aussi les variables globales:
-;varname: trois lettres: nom de l'experience
-;vargrid: nom de la grille
-;vardate: date (yy)yymmdd
-;varexp: nom Vairmer du champ a tarcer
+; lit les fichiers Vairmer en sort:
+; un tableau 2d ou 3d en fonction de nomchamp qui est le nom
+; du champ a extaire (2d s'il commence par SO et 3d s'il commence par VO)
+; cette fonction modifie aussi les variables globales:
+; varname: trois lettres: nom de l'experience
+; vargrid: nom de la grille
+; vardate: date (yy)yymmdd
+; varexp: nom Vairmer du champ a tarcer
 ;
 ; @obsolete
+;
 ; @categories Graphics, lecture de fichier Vaimer
 ;
 ; @examples
-; IDL>resultat=lec('nom_Vairmer'[,date[,'nom_experience']])
+; IDL> resultat=lec('nom_Vairmer'[,date[,'nom_experience']])
 ;
 ; @param nomchamp {in}{required} 2 choix possibles:
@@ -28,11 +29,12 @@
 ;
 ; @param date {in}{optional} nombres de 6 ou 8 chiffres (anneemoisjour, par ex:19980507)
+;
 ; @param nomexp {in}{optional} trois lettres designant le nom de l'experience
 ;
 ;
-; @keyword /ANOM {in} type du fichier vairmer par rapport auquel on doit calculer
+; @keyword ANOM {in} type du fichier vairmer par rapport auquel on doit calculer
 ;             l'anomalie ('EX','AN','SE','MO','')
 ;
-; @keyword /ECRIT {in} permet d'imprimer tous les noms vairmer que contient le fichier.
+; @keyword ECRIT {in} permet d'imprimer tous les noms vairmer que contient le fichier.
 ; ds ce cas en input on met seulement 'vo' ou 'so' la fonction retourne le
 ; nombre de fichiers lus.
@@ -40,5 +42,5 @@
 ; @keyword BOITE
 ;
-; @keyword /EXPANOM {in} si on calcule l'anom par rapport a une exper
+; @keyword EXPANOM {in} si on calcule l'anom par rapport a une exper
 ;       differente
 ;
@@ -48,13 +50,13 @@
 ;       filename.
 ;
-; @keyword /GRID lorsque ce mot clef est active, lec retourne la liste
+; @keyword GRID lorsque ce mot clef est active, lec retourne la liste
 ;       des types de grilles (T, U...) auxquelles se rapportent les
 ;       variables. ds ce cas en input on met seulement 'vo' ou 'so'.
 ;
-; @keyword /NAME lorsque ce mot clef est active, lec retourne la liste
+; @keyword NAME lorsque ce mot clef est active, lec retourne la liste
 ;       des noms des variables. ds ce cas en input on met seulement
 ;       'vo' ou 'so'.
 ;
-; @keyword /TOUT  oblige lec a lire le champ sur tout le domaine qui a
+; @keyword TOUT  oblige lec a lire le champ sur tout le domaine qui a
 ;       etait selectionne pour la cession en cours (jpi,jpj,jpk)
 ;
@@ -305,5 +307,5 @@
          'U':mask = umask()     ; n''est pas active et on le choisit en fontion
          'T':mask = tmask       ;  de la valeur de vargrid
-         'W':mask = tmask 
+         'W':mask = tmask
          'V':mask = vmask()
          'F':mask = fmask()
Index: trunk/SRC/Obsolete/lect.pro
===================================================================
--- trunk/SRC/Obsolete/lect.pro	(revision 118)
+++ trunk/SRC/Obsolete/lect.pro	(revision 127)
@@ -5,10 +5,10 @@
 ;
 ; @file_comments
-;       lit les fichiers Vairmer de date1 a date2 et en sort un tableau
-;       1D, 2D ou 3D qui peut etre reutilise pour une courbe / hov / animation
-;cette fonction modifie aussi les variables globales:
-;varname: huit lettres: nom Vairmer du champ a tracer
-;vargrid:1 lettre : nom de la grille
-;varexp: trois lettres :nom de l'experience
+; lit les fichiers Vairmer de date1 a date2 et en sort un tableau
+; 1D, 2D ou 3D qui peut etre reutilise pour une courbe / hov / animation
+; cette fonction modifie aussi les variables globales:
+; varname: huit lettres: nom Vairmer du champ a tracer
+; vargrid:1 lettre : nom de la grille
+; varexp: trois lettres :nom de l'experience
 ;
 ; @obsolete
@@ -19,21 +19,30 @@
 ; IDL> resultat=lec('nom_Vairmer',date1,date2,'nomexp','direc',BOITE=boite)
 ;
-; @param nomchamp {in}{required} nom de champ Vairmer (chaine de 8 caracteres
-; commencant par VO ou SO
-; @param date1 {in}{required} date de depart de la serie temporelle a
-; @param date2 {in}{required} date de fin (date2) de la serie temporelle a
-;             extraire
-; @param nomexp {in}{required} nom de l' experience a lire (prefix pardefaut)
-;
-; @param direc  {in}{required}
+; @param nomchamp {in}{required}
+; nom de champ Vairmer (chaine de 8 caracteres commencant par VO ou SO
+;
+; @param date1 {in}{required}
+; date de depart de la serie temporelle a extraire
+;
+; @param date2 {in}{required}
+; date de fin de la serie temporelle a extraire
+;
+; @param nomexp {in}{required} {default=prefix}
+; nom de l'experience a lire
+;
+; @param direc {in}{required}
 ; 'x' 'y' 'z' 'xy' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt' 'xzt'
 ; 'yzt' 'xyzt' directions selon lesquelles effectuer les moyennes
 ; (si rien n'est donne on n'effectue pas de moyenne)
 ;
-; @keyword boite {in} boite sur laquelle integrer (par defaut tt le domaine)
-; @keyword  anom {in} type de fichiers ('SE','AN','') a relire pour calc une
-; anomalie
-; @keyword expanom {in} experience pour laquelle on veut calculer une anomalie
-; (par defaut la meme que nomexp)
+; @keyword BOITE {in}
+; boite sur laquelle integrer (par defaut tout le domaine)
+;
+; @keyword ANOM {in}
+; type de fichiers ('SE','AN','') a relire pour calc une  anomalie
+;
+; @keyword EXPANOM {in}
+; experience pour laquelle on veut calculer une anomalie
+; par defaut la meme que nomexp
 ;
 ; @uses common vraidate juldate
Index: trunk/SRC/Obsolete/meshlec.pro
===================================================================
--- trunk/SRC/Obsolete/meshlec.pro	(revision 118)
+++ trunk/SRC/Obsolete/meshlec.pro	(revision 127)
@@ -4,7 +4,8 @@
 ;+
 ;
-; @file_comments lecture du mask des sorties d'OPA. les sources se trouvent ds les
+; @file_comments 
+; lecture du mask des sorties d'OPA. les sources se trouvent ds les
 ; repertoires sur maia du type:
-;  /nom_exp/RESTARTS
+; /nom_exp/RESTARTS
 ;
 ; @obsolete
@@ -14,5 +15,4 @@
 ;
 ; @param nomfich {in}{required} string, c''est le nom du fichier a lire. Par defaut, c''est meshmask.
-;
 ;
 ; @keyword GLAMBOUNDARY {in} un vecteur de 2 elements specifaint le min et le
@@ -20,7 +20,7 @@
 ; tableau depasse 360 degres)
 ;
-; @keyword /pasblabla {in} pour suprimer les blablas
-;
-; @keyword /DOUBLE {in} pour forcer a lire les tableaux en double
+; @keyword pasblabla {in} pour suprimer les blablas
+;
+; @keyword DOUBLE {in} pour forcer a lire les tableaux en double
 ;        precision. ce Mot clef est maintenant active
 ;        automatiquement.
Index: trunk/SRC/Obsolete/ncdf_meshlec.pro
===================================================================
--- trunk/SRC/Obsolete/ncdf_meshlec.pro	(revision 118)
+++ trunk/SRC/Obsolete/ncdf_meshlec.pro	(revision 127)
@@ -3,5 +3,7 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments use ncdf_meshread instead...
+; @file_comments 
+; use ncdf_meshread instead...
+;
 ; @obsolete
 ;
Index: trunk/SRC/Obsolete/nlec.pro
===================================================================
--- trunk/SRC/Obsolete/nlec.pro	(revision 118)
+++ trunk/SRC/Obsolete/nlec.pro	(revision 127)
@@ -3,6 +3,8 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui sont sur
+; @file_comments 
+; lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui sont sur
 ; maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
+;
 ; @obsolete
 ;
@@ -23,8 +25,8 @@
 ; d'aller plus vite ds la lecture
 ;
-; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
-; @keyword STRUCTURE 
-; @keyword SEUILMIN 
-; @keyword SEUILMAX 
+; @keyword TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword STRUCTURE
+; @keyword SEUILMIN
+; @keyword SEUILMAX
 ; @keyword NAN
 ;
Index: trunk/SRC/Obsolete/nlec5j.pro
===================================================================
--- trunk/SRC/Obsolete/nlec5j.pro	(revision 118)
+++ trunk/SRC/Obsolete/nlec5j.pro	(revision 127)
@@ -3,8 +3,10 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui
+; @file_comments 
+; lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui
 ; contiennent les sorties a 5j regroupees par type de grille par
 ; paquets de 6 mois.
 ; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
+;
 ; @obsolete
 ;
@@ -17,5 +19,5 @@
 ; trouver avec ncdflec,fichier,/var
 ;
-; @param numsortie {in}{required} 
+; @param numsortie {in}{required}
 ; le numero du pas de temps que l'on veut sortir du
 ; fichier (compte a partir de 1) a partir de year
@@ -28,5 +30,5 @@
 ; d'aller plus vite ds la lecture
 ;
-; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
 ; @keyword _EXTRA used to pass your keywords
Index: trunk/SRC/Obsolete/nlecan.pro
===================================================================
--- trunk/SRC/Obsolete/nlecan.pro	(revision 118)
+++ trunk/SRC/Obsolete/nlecan.pro	(revision 127)
@@ -3,5 +3,6 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments lit les moyennes annuelles
+; @file_comments
+; lit les moyennes annuelles
 ; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
 ;
@@ -14,7 +15,9 @@
 ; @param nom {in}{required} nom du tableau contenant le champ que l'on veut (le
 ; trouver avec ncdflec,fichier,/var
-; @param numsortie79  {in}{required} le numero du pas de temps que l'on veut sortir du
+;
+; @param numsortie79 {in}{required} le numero du pas de temps que l'on veut sortir du
 ; fichier (compte a partir de 1) a partir de 79
-; @param nbretps  {in}{required} nombre de pas de temps a extraire
+;
+; @param nbretps {in}{required} nombre de pas de temps a extraire
 ;
 ; @keyword BOITE  boite sur laquelle integrer (par defaut tt le domaine)
@@ -23,5 +26,5 @@
 ; d'aller plus vite ds la lecture
 ;
-; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
 ; @keyword _EXTRA used to pass your keywords
@@ -35,5 +38,4 @@
 ;
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;
 ;
 ; @version $Id$
Index: trunk/SRC/Obsolete/nlecmois.pro
===================================================================
--- trunk/SRC/Obsolete/nlecmois.pro	(revision 118)
+++ trunk/SRC/Obsolete/nlecmois.pro	(revision 127)
@@ -4,7 +4,9 @@
 ;+
 ;
-; @file_comments lit les fichiers Net-Cdf  de moyenne mensuel  de
+; @file_comments
+; lit les fichiers Net-Cdf  de moyenne mensuel  de
 ; l'experience TOTEM/ECMWF qui sont sur
 ; maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
+;
 ; @obsolete
 ;
@@ -14,7 +16,8 @@
 ; d'aller plus vite ds la lecture
 ;
-; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+;
 ; @keyword _EXTRA used to pass your keywords
-
+;
 ; @uses common.pro
 ;
Index: trunk/SRC/Obsolete/nlecsaison.pro
===================================================================
--- trunk/SRC/Obsolete/nlecsaison.pro	(revision 118)
+++ trunk/SRC/Obsolete/nlecsaison.pro	(revision 127)
@@ -3,6 +3,8 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments lit les moyennes annuelles
+; @file_comments
+; lit les moyennes annuelles
 ; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
+;
 ; @obsolete
 ;
@@ -14,17 +16,19 @@
 ; @param nom {in}{required} nom du tableau contenant le champ que l'on veut (le
 ; trouver avec ncdflec,fichier,/var
-; @param numsortie79  {in}{required} le numero du pas de temps que l'on veut sortir du
+;
+; @param numsortie79 {in}{required} le numero du pas de temps que l'on veut sortir du
 ; fichier (compte a partir de 1) a partir de 79
-;  @param nbretps  {in}{required} nombre de pas de temps a extraire
 ;
-; @keyword      BOITE boite sur laquelle integrer (par defaut tt le domaine)
+; @param nbretps {in}{required} nombre de pas de temps a extraire
+;
+; @keyword BOITE boite sur laquelle integrer (par defaut tt le domaine)
 ;
 ; @keyword GRILLE impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture
 ;
-; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
 ; @keyword _EXTRA used to pass your keywords
-
+;
 ; @returns tableau 2d (qd la serie ne fait que 1 pas de temps) ou
 ; 3d (valable ds 1 premier tps que pour les tableaux 2d)
Index: trunk/SRC/Obsolete/nlecserie.pro
===================================================================
--- trunk/SRC/Obsolete/nlecserie.pro	(revision 118)
+++ trunk/SRC/Obsolete/nlecserie.pro	(revision 127)
@@ -3,6 +3,8 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments lit les series temporelles se rapportant a une variable
+; @file_comments
+; lit les series temporelles se rapportant a une variable
 ; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
+;
 ; @obsolete
 ;
@@ -15,5 +17,7 @@
 ; trouver avec ncdflec,fichier,/var
 ;
-;  @param  date1 date2 {in}{required} les dates vermairs qui delimitent la serie temporelle
+; @param date1 {in}{required} 
+; @param date2 {in}{required} 
+; les dates vermairs qui delimitent la serie temporelle
 ;
 ; @keyword BOITE boite sur laquelle integrer (par defaut tt le domaine)
@@ -22,5 +26,5 @@
 ; d'aller plus vite ds la lecture
 ;
-; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
 ; @keyword _EXTRA used to pass your keywords
Index: trunk/SRC/Obsolete/vairdate.pro
===================================================================
--- trunk/SRC/Obsolete/vairdate.pro	(revision 118)
+++ trunk/SRC/Obsolete/vairdate.pro	(revision 127)
@@ -4,8 +4,11 @@
 ;+
 ;
-; @file_comments  gives vairmer date equivalent of a date in julian format
-;           sets month, day and year to the corresp values
+; @file_comments
+; gives vairmer date equivalent of a date in julian format
+; sets month, day and year to the corresp values
+;
+; you better use jul2date
+;
 ; @obsolete
-; @file_comments you better use jul2date
 ;
 ; @examples
@@ -18,5 +21,5 @@
 ;    19990115   ->   19990100
 ;
-; @keyword  ANNUEL a activer si on veut pour  que les dates dont le mois est
+; @keyword ANNUEL a activer si on veut pour  que les dates dont le mois est
 ;    6 et dont le jour est 1 deviennent avec un mois et jour egale a
 ;    0. par ex:
Index: trunk/SRC/Obsolete/vraidate.pro
===================================================================
--- trunk/SRC/Obsolete/vraidate.pro	(revision 118)
+++ trunk/SRC/Obsolete/vraidate.pro	(revision 127)
@@ -3,10 +3,12 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments donne la date en long
+; @file_comments
+; donne la date en long
+;
 ; @obsolete
 ;
 ; @param date {in}{required} une date du type yyyymmdd
 ;
-; @keyword /GRADS if  1 le year le 49 then year = 2000+year
+; @keyword GRADS if  1 le year le 49 then year = 2000+year
 ;               if 50 le year le 99 then year = 1900+year
 ;