Index: trunk/SRC/Documentation/idldoc_html_output/Interpolation/get_gridparams.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Interpolation/get_gridparams.html	(revision 121)
+++ trunk/SRC/Documentation/idldoc_html_output/Interpolation/get_gridparams.html	(revision 138)
@@ -328,5 +328,5 @@
 table.variables td.image { width: 64px; }
 
-div#file_comments { 
+div#file_comments { white-space: pre; 
   margin: 2em;
   font-size: 80%;
@@ -697,10 +697,10 @@
 
       <div id="file_comments">
-   1) extract from a NetCDF file the longitude, latidude, and their dimensions
-      and make sure it is 1D or 2D arrays
-
-   or 
-   2) given longitude and latitude arrays get their dimensions and make
-  sure they are 1D or 2D arrays
+ 1) extract from a NetCDF file the longitude, latidude, and their dimensions
+ and make sure it is 1D or 2D arrays
+
+ or
+ 2) given longitude and latitude arrays get their dimensions and make
+ sure they are 1D or 2D arrays
 </div>
 
@@ -744,7 +744,13 @@
 	    </h4>
 	
-	  <div class="comments"> the name of the netcdf file
+	  <div class="comments">
+ the name of the netcdf file
+
+
  1d or 2D arrays defining longitudes and latitudes.
- the variable that will contain the longitudes</div>
+
+
+ the variable that will contain the longitudes
+</div>
 	    
 	    <h4 id="_get_gridparams_param_in2">in2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -759,9 +765,14 @@
 	    </h4>
 	
-	  <div class="comments"> the name of the variable that contains the longitude in the NetCDF file
+	  <div class="comments">
+ the name of the variable that contains the longitude in the NetCDF file
+
+
  1d or 2D arrays defining longitudes and latitudes.
-    Note that these arrays are also outputs and can therefore be modified.
-
- the variable that will contain the latitudes</div>
+ Note that these arrays are also outputs and can therefore be modified.
+
+
+ the variable that will contain the latitudes
+</div>
 	    
 	    <h4 id="_get_gridparams_param_in3">in3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -776,6 +787,10 @@
 	    </h4>
 	
-	  <div class="comments"> the name of the variable that contains the latitude in the NetCDF file
- the number of points in the longitudinal direction</div>
+	  <div class="comments">
+ the name of the variable that contains the latitude in the NetCDF file
+
+
+ the number of points in the longitudinal direction
+</div>
 	    
 	    <h4 id="_get_gridparams_param_in4">in4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -790,6 +805,10 @@
 	    </h4>
 	
-	  <div class="comments"> the number of points in the longitudinal direction
- the number of points in the latitudinal direction</div>
+	  <div class="comments">
+ the number of points in the longitudinal direction
+
+
+ the number of points in the latitudinal direction
+</div>
 	    
 	    <h4 id="_get_gridparams_param_in5">in5&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -804,9 +823,12 @@
 	    </h4>
 	
-	  <div class="comments"> the number of points in the latitudinal direction
+	  <div class="comments">
+ the number of points in the latitudinal direction
+
+
  1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
-    arrays or 2D arrays (jpi,jpj). Note that of  n_dimensions = 1, then the
-    grid must be regular (each longitudes must be the same for all latitudes
-    and each latitudes should be the sae for all longitudes).
+ arrays or 2D arrays (jpi,jpj). Note that of  n_dimensions = 1, then the
+ grid must be regular (each longitudes must be the same for all latitudes
+ and each latitudes should be the sae for all longitudes).
 </div>
 	    
@@ -822,5 +844,7 @@
 	    </h4>
 	
-	  <div class="comments"> the variable that will contain the longitudes</div>
+	  <div class="comments">
+ the variable that will contain the longitudes
+</div>
 	    
 	    <h4 id="_get_gridparams_param_in7">in7&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -835,5 +859,7 @@
 	    </h4>
 	
-	  <div class="comments"> the variable that will contain the latitudes</div>
+	  <div class="comments">
+ the variable that will contain the latitudes
+</div>
 	    
 	    <h4 id="_get_gridparams_param_in8">in8&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -848,5 +874,6 @@
 	    </h4>
 	
-	  <div class="comments"> 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
+	  <div class="comments">
+ 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
 
  or
@@ -872,17 +899,18 @@
 	    </h4>
 	
-	    <div class="comments"> use double precision to perform the computation
-</div>
-	    
-	  
-
-	  <h3>Examples</h3><div class="value">
-
- 1) 
+	    <div class="comments">
+ use double precision to perform the computation
+</div>
+	    
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+
+ 1)
  IDL> get_gridparams, file, lonname, latname, lon, lat, jpi, jpj, n_dimensions
 
  or
 
- 2) 
+ 2)
  IDL> get_gridparams, lon, lat, jpi, jpj, n_dimensions
 
@@ -897,7 +925,7 @@
 	  <h3>Version history</h3>
 	  
-	  <h4>Version</h4><div class="value"> $Id: get_gridparams.pro 118 2006-06-27 15:47:06Z pinsard $
-</div>
-	  <h4>History</h4><div class="value">
+	  <h4>Version</h4><div class="preformat"> $Id: get_gridparams.pro 136 2006-07-10 15:20:19Z pinsard $
+</div>
+	  <h4>History</h4><div class="preformat">
   November 2005: Sebastien Masson (smasson@lodyc.jussieu.fr)
 </div>