Index: trunk/SRC/Documentation/xmldoc/whatsnew.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 123)
+++ trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 140)
@@ -1,34 +1,201 @@
-<html><head>
-      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
-   <title>What's new in SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.70.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e2"></a>What's new in SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_locean-ipsl.upmc.fr">smasson_at_locean-ipsl.upmc.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr><tr><td align="left">Revision 0.1</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">add date according to output of svn log</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#intro">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#changeset114">2. Changeset 114 (2006-06-19)</a></span></dt><dt><span class="sect1"><a href="#changeset73">3. Changeset 73 (2006-05-22)</a></span></dt><dt><span class="sect1"><a href="#changeset69">4. Changeset 69 (2006-05-11)</a></span></dt><dt><span class="sect1"><a href="#chgangeset68">5. Changeset 68 (2006-05-09)</a></span></dt><dt><span class="sect1"><a href="#changeset7">6. Changeset 7 (2006-04-24)</a></span></dt><dt><span class="sect1"><a href="#changeset2">7. Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="intro"></a>1.&nbsp;Introduction</h2></div></div></div><p>
-Here are listed major revisions.
-</p><p>
-SAXO team should provide instructions to prevent from side effects of upgrade.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="changeset114"></a>2.&nbsp;Changeset 114 (2006-06-19)</h2></div></div></div><p>
-This revision includes new compilation options (compile_opt idl2, strictarrsubs) in each routine and new interpolation routine from irregular grid (originally introduced in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/110" target="_top">Changeset 110</a>).
-</p><p>
-Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/114" target="_top">Changeset 114</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="changeset73"></a>3.&nbsp;Changeset 73 (2006-05-22)</h2></div></div></div><p>
-This revision is the last one made to split svn repository in two parts : SRC and DATA.
-</p><p>
-Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/71" target="_top">Changeset 71</a>, <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/72" target="_top">Changeset 72</a> and <a href="http://forge.ipsl.jussieu.fr/saxo/changset/73" target="_top">Changeset 73</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="changeset69"></a>4.&nbsp;Changeset 69 (2006-05-11)</h2></div></div></div><p>
-This revision includes new XXX features.
-</p><p>
-Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/69" target="_top">Changeset 69</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="chgangeset68"></a>5.&nbsp;Changeset 68 (2006-05-09)</h2></div></div></div><p>
-This revision is equivalent to SAXO_RD 20060124.
-</p><p>
-See <a href="infoupdatekwd.html?format=raw" target="_top">Keywords translation</a>
-and <a href="infoupdatecm.html?format=raw" target="_top">Commons translation</a>.
-</p><p>
-Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/68" target="_top">Changeset 68</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="changeset7"></a>6.&nbsp;Changeset 7 (2006-04-24)</h2></div></div></div><p>
-This revision is equivalent to IDL_RD.
-</p><p>
-Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/7" target="_top">Changeset 7</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="changeset2"></a>7.&nbsp;Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</h2></div></div></div><p>
-This revision is equivalent to <span class="bold"><strong>obsolete</strong></span> CVS repository.
-</p><p>
-Details can be seen in <a href="http:/changeset/forge.ipsl.jussieu.fr/saxo/changeset/2" target="_top">Changeset 2</a>.
-</p></div></div></body></html>
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<meta name="generator" content=
+"HTML Tidy for Mac OS X (vers 1 September 2005), see www.w3.org">
+<meta http-equiv="Content-Type" content=
+"text/html; charset=us-ascii">
+<title>What's new in SAXO</title>
+<link rel="stylesheet" href="style.css" type="text/css">
+<link rel="stylesheet" href="saxo.css" type="text/css">
+<meta name="generator" content="DocBook XSL Stylesheets V1.70.1">
+<meta name="keywords" content="idl, SAXO">
+</head>
+<body bgcolor="white" text="black" link="#0000FF" vlink="#840084"
+alink="#0000FF">
+<div class="article" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title"><a name="d0e2" id="d0e2"></a>What's new in
+SAXO</h2>
+</div>
+<div>
+<div class="authorgroup">
+<div class="author">
+<h3 class="author"><span class="firstname">S&eacute;bastien</span>
+<span class="surname">Masson</span> <code class=
+"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+</div>
+<div class="author">
+<h3 class="author"><span class="firstname">Fran&ccedil;oise</span>
+<span class="surname">Pinsard</span> <code class=
+"email">&lt;<a href=
+"mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+</div>
+</div>
+</div>
+<div><span class="pubdate">svn Id of xml source file : $Id:
+whatsnew.xml 139 2006-07-12 16:08:41Z pinsard $<br>
+<br></span></div>
+<div>
+<div class="revhistory">
+<table border="1" width="100%" summary="Revision history">
+<tr>
+<th align="left" valign="top" colspan="2"><b>Revision
+History</b></th>
+</tr>
+<tr>
+<td align="left">Revision 0.0</td>
+<td align="left">May 2006</td>
+</tr>
+<tr>
+<td align="left" colspan="2">First draft</td>
+</tr>
+<tr>
+<td align="left">Revision 0.1</td>
+<td align="left">June 2006</td>
+</tr>
+<tr>
+<td align="left" colspan="2">add date according to output of svn
+log</td>
+</tr>
+</table>
+</div>
+</div>
+</div>
+<hr></div>
+<div class="toc">
+<p><b>Table of Contents</b></p>
+<dl>
+<dt><span class="sect1"><a href="#intro">1.
+Introduction</a></span></dt>
+<dt><span class="sect1"><a href="#changeset114">2. Changeset 114
+(2006-06-19)</a></span></dt>
+<dt><span class="sect1"><a href="#changeset73">3. Changeset 73
+(2006-05-22)</a></span></dt>
+<dt><span class="sect1"><a href="#changeset69">4. Changeset 69
+(2006-05-11)</a></span></dt>
+<dt><span class="sect1"><a href="#chgangeset68">5. Changeset 68
+(2006-05-09)</a></span></dt>
+<dt><span class="sect1"><a href="#changeset7">6. Changeset 7
+(2006-04-24)</a></span></dt>
+<dt><span class="sect1"><a href="#changeset2">7. Changeset 2
+(revision date=2002-09-11 actually done 2006-04-13)</a></span></dt>
+</dl>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="intro" id=
+"intro"></a>1.&nbsp;Introduction</h2>
+</div>
+</div>
+</div>
+<p>Here are listed major revisions.</p>
+<p>SAXO team should provide instructions to prevent from side
+effects of upgrade.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="changeset114" id=
+"changeset114"></a>2.&nbsp;Changeset 114 (2006-06-19)</h2>
+</div>
+</div>
+</div>
+<p>This revision includes new compilation options (compile_opt
+idl2, strictarrsubs) in each routine and new interpolation routine
+from irregular grid (originally introduced in <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changeset/110" target=
+"_top">Changeset 110</a>).</p>
+<p>Details can be seen in <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changeset/114" target=
+"_top">Changeset 114</a>.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="changeset73" id=
+"changeset73"></a>3.&nbsp;Changeset 73 (2006-05-22)</h2>
+</div>
+</div>
+</div>
+<p>This revision is the last one made to split svn repository in
+two parts : SRC and DATA.</p>
+<p>Details can be seen in <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changeset/71" target=
+"_top">Changeset 71</a>, <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changeset/72" target=
+"_top">Changeset 72</a> and <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changset/73" target=
+"_top">Changeset 73</a>.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="changeset69" id=
+"changeset69"></a>4.&nbsp;Changeset 69 (2006-05-11)</h2>
+</div>
+</div>
+</div>
+<p>This revision includes new XXX features.</p>
+<p>Details can be seen in <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changeset/69" target=
+"_top">Changeset 69</a>.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="chgangeset68" id=
+"chgangeset68"></a>5.&nbsp;Changeset 68 (2006-05-09)</h2>
+</div>
+</div>
+</div>
+<p>This revision is equivalent to SAXO_RD 20060124.</p>
+<p>See <a href="infoupdatekwd.html?format=raw" target=
+"_top">Keywords translation</a> and <a href=
+"infoupdatecm.html?format=raw" target="_top">Commons
+translation</a>.</p>
+<p>Details can be seen in <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changeset/68" target=
+"_top">Changeset 68</a>.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="changeset7" id=
+"changeset7"></a>6.&nbsp;Changeset 7 (2006-04-24)</h2>
+</div>
+</div>
+</div>
+<p>This revision is equivalent to IDL_RD.</p>
+<p>Details can be seen in <a href=
+"http://forge.ipsl.jussieu.fr/saxo/changeset/7" target=
+"_top">Changeset 7</a>.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="changeset2" id=
+"changeset2"></a>7.&nbsp;Changeset 2 (revision date=2002-09-11
+actually done 2006-04-13)</h2>
+</div>
+</div>
+</div>
+<p>This revision is equivalent to <span class=
+"bold"><strong>obsolete</strong></span> CVS repository.</p>
+<p>Details can be seen in <a href=
+"http:/changeset/forge.ipsl.jussieu.fr/saxo/changeset/2" target=
+"_top">Changeset 2</a>.</p>
+</div>
+</div>
+</body>
+</html>